#!BPY
""" Registration info for Blender menus
Name: 'ph_Select_Quad'
Blender: 231
Group: 'Misc'
"""

import Blender
from Blender import NMesh, Object 
from Blender.Draw import *
from Blender.BGL import *

######################

def draw():

	color1 = (0.99, 0.99, 0.65)
	color2 = (0.567, 0.476, 0.365)
	color2Clear = (0.567, 0.476, 0.365, 1)
	color3 = (1.0, 1.0, 0.79)
	color4 = (0.265, 0.41, 0.4)
	color4Clear = (0.265, 0.41, 0.4, 1)
	color5 = (0.4, 0.472, 0.472)
	color6 = (0.5, 0.25, 0.25)
	color7 = (0.265, 0.4, 0.3)
	colorblack = (0.0, 0.0, 0.0)
	colorwhite = (1.0, 1.0, 1.0)
	colorred = (1.0, 0.0, 0.0)
	colorcyan = (0.0, 1.0, 1.0)
	colorgrey1 = (0.8, 0.8, 0.8)

	color4 = (0.265, 0.41, 0.4)
	color4Clear = (0.265, 0.41, 0.4, 1)

	apply(glClearColor, color4Clear)
	glClear(GL_COLOR_BUFFER_BIT)


	apply(glColor3f, colorblack)
	glRasterPos2f(14, 48)
	Text("Script Select_Quad.py")
	glRasterPos2f(13, 47)
	Text("Script Select_Quad.py")
	apply(glColor3f, colorwhite)
	glRasterPos2f(12, 49)
	Text("Script Select_Quad.py")

	Button("Exit", 1, 150, 10, 40, 25)
	Button("Select_Quad", 2, 10, 10, 95, 25)

############


######################

def event(evt, val):
  if (evt== QKEY and not val): Exit()

############



######################

def bevent(evt):

  Blender.Window.Redraw()
  if   (evt== 1):
    Exit()

  elif (evt== 2):
    Select_Tris()

############

def Select_Tris():

  Obj = Object.GetSelected()[0]

  print "Obj =", Obj
  if (Obj != []):
    if (Obj.getType() == 'Mesh'):
      meshname = Obj.getData().name
      mesh  = NMesh.GetRaw(meshname)

      for face in mesh.faces:
        face.flag=0
        if len(face.v) == 4:
          face.flag=1
      mesh.update()

############

Register(draw, event, bevent)